PosixRegex.hpp File Reference

Posixregex, descriptors and sockets. More...

`#include <string>`
`#include <regex.h>`
`#include <ui-utilcpp/Exception.hpp>`
Include dependency graph for PosixRegex.hpp:

## Data Structures

class | UI::Util::PosixRegex
| Wrapper class for POSIX.2 regex functions. More...
class | UI::Util::PosixRegex::Match
| Helper class representing match data. More...

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.

## Detailed Description

Posixregex, descriptors and sockets.